## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           proselint
Version:        0.14.0
Release:        %autorelease
Summary:        A linter for English prose

License:        BSD-3-Clause
URL:            %{forgeurl}
Source0:        %pypi_source
BuildArch:      noarch

Requires:       python3-click
Requires:       python3-six

BuildRequires:  python3-devel

# For running the tests:
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-six


%description
proselint's goal is to aggregate knowledge about best practices in
writing and to make that knowledge immediately accessible to all authors
in the form of a linter for prose.  It is a command-line utility that
can be integrated into existing tools.


%prep
%autosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%check
%pytest


%files -f %{pyproject_files}
%{_bindir}/%{name}


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.14.0-2
- Rebuilt for Python 3.13

* Sat May 25 2024 Peter Oliver <git@mavit.org.uk> - 0.14.0-1
- Update to version 0.14.0.

* Mon Apr 01 2024 Peter Oliver <git@mavit.org.uk> - 0.13.0-14
- Remove commented-out lines.

* Mon Apr 01 2024 Peter Oliver <git@mavit.org.uk> - 0.13.0-13
- Update to latest Git snapshot, fixing Python 3.12 compatibility.

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Lumir Balhar <lbalhar@redhat.com> - 0.13.0-10
- Remove useless dependency of python3-future

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.13.0-8
- Rebuilt for Python 3.12

* Sat Mar 04 2023 Gwyn Ciesla <gwync@protonmail.com> - 0.13.0-7
- migrated to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.13.0-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 23 2021 Charalampos Stratakis <cstratak@redhat.com> - 0.13.0-2
- Remove redundant dependencies on nose and mock

* Fri Nov 19 2021 Peter Oliver <git@mavit.org.uk> - 0.13.0-1
- Update to version 0.13.0.

* Wed Aug 25 2021 Peter Oliver <git@mavit.org.uk> - 0.12.0-2
- Remember sources for 0.12.0.

* Wed Aug 25 2021 Peter Oliver <git@mavit.org.uk> - 0.12.0-1
- Update to version 0.12.0.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.10.2-10
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.10.2-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.10.2-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.10.2-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Aug 04 2018 Peter Oliver <rpm@mavit.org.uk> - 0.10.2-1
- Update to version 0.10.2.

* Tue Jul 24 2018 Peter Oliver <rpm@mavit.org.uk> - 0.10.0-1
- Update to version 0.10.0.
- Work around https://github.com/amperser/proselint/issues/867 by
  fetching source directly from GitHub.

* Sun Jul 22 2018 Peter Oliver <rpm@mavit.org.uk> - 0.9.0-1
- Update to version 0.9.0.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-5
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-4
- Tweak URL and summary.

* Fri Aug 25 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-3
- Drop separate library packages, and rename to `proselint`.
- Lint fixes.

* Wed Jun 28 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-2
- Name "python2" in more dependencies, where possible.
- Fix typo.

* Thu Feb 23 2017 Peter Oliver <rpm@mavit.org.uk> - 0.8.0-1
- Update to 0.8.0.

* Sun Oct 09 2016 Peter Oliver <rpm@mavit.org.uk> - 0.7.0-1
- Initial package, assisted by pyp2rpm-3.1.3.

## END: Generated by rpmautospec
